%global momorel 3

Name:           perl-DateTime-Calendar-Japanese
Version:        0.05
Release: %{momorel}m%{?dist}
Summary:        DateTime Extension for Traditional Japanese Calendars
License:        GPL or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/DateTime-Calendar-Japanese/
Source0:        http://www.cpan.org/modules/by-module/DateTime/DateTime-Calendar-Japanese-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildArch:      noarch
BuildRequires:  perl >= 5.6.1
BuildRequires:  perl-DateTime
BuildRequires:  perl-DateTime-Calendar-Chinese >= 0.02
BuildRequires:  perl-DateTime-Calendar-Japanese-Era >= 0.04
BuildRequires:  perl-DateTime-Event-Sunrise >= 0.05
BuildRequires:  perl-Module-Build
BuildRequires:  perl-Params-Validate
Requires:       perl-DateTime
Requires:       perl-DateTime-Calendar-Chinese >= 0.02
Requires:       perl-DateTime-Calendar-Japanese-Era >= 0.04
Requires:       perl-DateTime-Event-Sunrise >= 0.05
Requires:       perl-Params-Validate
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module implements the traditional Japanese Calendar, which was used
from circa 692 A.D. to 1867 A.D. The traditional Japanese Calendar is a
lunisolar calendar based on the Chinese Calendar, and therefore this module
may *not* be used for handling or formatting modern Japanese calendars
which are Gregorian Calendars with a twist. Please use
DateTime::Format::Japanese for that purpose.

%prep
%setup -q -n DateTime-Calendar-Japanese-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
rm -rf $RPM_BUILD_ROOT

./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w $RPM_BUILD_ROOT/*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc CHANGES LICENSE
%{perl_vendorlib}/*/*/*
%{_mandir}/man3/*

%changelog
* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (0.05-3m)
- use vendor

* Wed Nov 29 2006 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.05-2m)
- delete dupclicate directory

* Tue Nov 28 2006 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.05-1m)
- Specfile autogenerated by cpanspec 1.68 for Momonga Linux.
